YPMATCH(1)

NAME
ypmatch - print the value of one or more keys from a yp map

SYNOPSIS
ypmatch [ -d domain ] [ -k ] [ -t ] key ... mname
ypmatch -x

DESCRIPTION

Ypmatch prints the values associated with one or more keys from the yellow pages (YP) map (database) specified by a mname, which may be either a mapname or a map nickname.

Multiple keys can be specified; the same map is searched for all keys. The keys must be exact values insofar as capitalization and length are concerned. No pattern matching is available. If a key is not matched, a diagnostic message is produced.

OPTIONS

-d  Specify a domain other that the default domain.

-k  Before printing the value of a key, print the key itself, followed by a colon (':'). This is useful only if the keys are not duplicated in the values, or you've specified so many keys that the output could be confusing.

-t  Inhibit translation of nickname to mapname. For example, ypmatch -t zippy passwd fails because there is no map named passwd, while ypmatch zippy passwd is translated to ypmatch zippy passwd.byname.

-x  Display the map nickname table. This lists the nicknames the command knows of (mnames), and indicates the mapname associated with each nickname.

SEE ALSO
ypcat(1), ypfiles(5)